---
- name: Change creds
  import_playbook: 00_tst.yml
  when: 
    - steps | int > 20
- name: Initial
  import_playbook: 00_initial_adjustments.yml
  when: 
  - steps | int  > 19
- name: Apt update
  import_playbook: 00_apt_upgrade.yml
  when: 
  - steps | int  > 18
- name: Check for reboot
  import_playbook: 00_check_for_reboot.yml
  when: 
  - steps | int  > 17
- name: Activate display
  import_playbook: 00_setup_display.yml
  when: 
  - steps | int  > 16
- name: Install LDAP
  import_playbook: 00_install_ldap_client.yml
  when: 
  - steps | int  > 15
- name: Install Docker
  import_playbook: 05_install_docker.yml
  when: 
  - steps | int  > 14
- name: Install apparmor
  import_playbook: 10_install_apparmor.yml
  when: 
  - steps | int  > 13
- name: Change logo
  import_playbook: 80_change_logo.yml
  when: 
  - steps | int  > 12
- name: Install k3s
  import_playbook: 70_install_k3s.yml
  when: 
  - steps | int  > 11
- name: Install worker
  import_playbook: 72_install_k3s_worker.yml
  when: 
  - steps | int > 10
- name: Install zabbix agent
  import_playbook: 00_install_zabbix_agent.yml
  when: 
  - steps | int  > 9
- name: Reboot All
  import_playbook: 11_reboot.yml
